import { request, paramsSerializer } from '@/utils/request.js';

// abnormal-check
export const workHoursWaitCheckListApi = (data) =>
  request({
    url: '/api/admin/ding/exception/apply/flow/task/un_done/list',
    params: data,
  });
export const workHoursDoneCheckListApi = (data) =>
  request({
    url: '/api/admin/ding/exception/apply/flow/task/done/list',
    params: data,
  });
export const workHoursWaitCheckAuditApi = (data, isBatch) => {
  return request({
    url: isBatch
      ? '/api/admin/ding/exception/apply/flow/batch/approve'
      : '/api/admin/ding/exception/apply/flow/approve',
    params: data,
    paramsSerializer,
  });
};

// work-attendance
export const workAttendanceListApi = (data) =>
  request({
    url: '/api/system/work-attendance/list',
    params: data,
  });
export const workAttendanceInfoApi = (data) =>
  request({
    url: '/api/system/work-attendance/info',
    params: data,
  });
export const workAttendanceSubmitApi = (ids) =>
  request({
    url: '/api/system/work-attendance/submit',
    params: { ids },
    paramsSerializer,
  });
export const workAttendanceExportApi = (ids) =>
  request({
    url: '/api/system/work-attendance/export',
    params: { ids },
    paramsSerializer,
  });
export const workAttendanceWithdrawApi = (id) =>
  request({
    url: '/api/system/work-attendance/withdraw',
    params: { id },
  });
export const workAttendanceCancelWithdrawApi = (id) =>
  request({
    url: '/api/system/work-attendance/withdraw-cancel',
    params: { id },
  });

// work-attendance-detail
export const workAttendanceDetailListApi = (data) =>
  request({
    url: '/api/admin/tb/ding/attendance/query',
    params: data,
  });
export const workAttendanceDetailExportApi = (ids) =>
  request({
    url: '/api/system/work-attendance-detail/export',
    params: { ids },
    download: true,
  });
export const workStatisticsDetailInfoApi = (data) =>
  request({
    url: '/api/admin/tb/ding/attendance/count',
    params: data,
  });

// work-statistics
export const workStatisticsListApi = (data) =>
  request({
    url: '/api/admin/tb/ding/query',
    params: data,
  });
export const workStatisticsInfoApi = (data) =>
  request({
    url: '/api/admin/tb/ding/count',
    params: data,
  });
export const workStatisticsExportApi = (data) =>
  request({
    url: ' /api/admin/tb/ding/export',
    params: data,
  });
export const workStatisticsPassApi = (id) =>
  request({
    url: '/api/admin/ding/exception/apply/save',
    params: { id },
  });
